2017-07-24 06:27 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001698openmediavaultBugpublic2017-03-13 01:06
Reportersubzero79 
Assigned Tovotdev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformopenmediavault 3.0 OSDebianOS Version8.7
Product Version 
Target VersionFixed in VersionErasmus (3.x) 
Summary0001698: NFS server error on removing a share
DescriptionThe NFS server omv implementation has an error in regards of share removal.
When you delete a share in the nfs server (enabled or disabled) this doesn't unmount the /export/{share} bind and doesn't remove the fstab entry. There is a silent error that doesn't appear in the UI but is shown at omv-engined debug

this is the full log of an add share and remove share

root@openmediavault-jessie:/export# omv-engined -d -f
Registered data models:
  conf.service
  conf.service.afp
  conf.service.afp.share
  conf.service.ftp
  conf.service.ftp.modban.rule
  conf.service.ftp.modtls
  conf.service.ftp.share
  conf.service.nfs
  conf.service.nfs.share
  conf.service.rsync.job
  conf.service.rsyncd
  conf.service.rsyncd.module
  conf.service.smartmontools
  conf.service.smartmontools.device
  conf.service.smartmontools.job
  conf.service.smb
  conf.service.smb.share
  conf.service.snmp
  conf.service.ssh
  conf.service.tftp
  conf.service.zeroconf.service
  conf.service.zfs
  conf.system.apt.distribution
  conf.system.certificate.ssh
  conf.system.certificate.ssl
  conf.system.cron.job
  conf.system.email
  conf.system.filesystem.mountpoint
  conf.system.filesystem.quota
  conf.system.hdparm
  conf.system.mdadm.device
  conf.system.monitoring.perfstats
  conf.system.network.dns
  conf.system.network.interface
  conf.system.network.iptables.rule
  conf.system.network.proxy
  conf.system.notification.email
  conf.system.notification.notification
  conf.system.omvextras
  conf.system.powermngmnt
  conf.system.sharedfolder
  conf.system.sharedfolder.privilege
  conf.system.syslog.remote
  conf.system.time
  conf.system.usermngmnt.group
  conf.system.usermngmnt.homedir
  conf.system.usermngmnt.user
  conf.webadmin
  rpc.afp.setsettings
  rpc.afp.setshare
  rpc.apt.getchangelog
  rpc.apt.setsettings
  rpc.apt.upgrade
  rpc.apt.upload
  rpc.certificatemgmt.create
  rpc.certificatemgmt.createssh
  rpc.certificatemgmt.set
  rpc.certificatemgmt.setssh
  rpc.common.devicefile
  rpc.common.getlist
  rpc.common.objectuuid
  rpc.config.applychanges
  rpc.config.revertchanges
  rpc.cron.getlist
  rpc.cron.set
  rpc.diskmgmt.sethdparm
  rpc.diskmgmt.wipe
  rpc.emailnotification.set
  rpc.exec.getoutput
  rpc.exec.isrunning
  rpc.exec.stop
  rpc.filesystemmgmt.create
  rpc.filesystemmgmt.delete
  rpc.filesystemmgmt.enumeratemountedfilesystems
  rpc.filesystemmgmt.hasfilesystem
  rpc.filesystemmgmt.mount
  rpc.filesystemmgmt.resize
  rpc.filesystemmgmt.umount
  rpc.folderbrowser.get
  rpc.fstab.getbydir
  rpc.fstab.getbyfsname
  rpc.fstab.set
  rpc.ftp.setmodbanrule
  rpc.ftp.setmodtlssettings
  rpc.ftp.setsettings
  rpc.ftp.setshare
  rpc.iptables.setrule
  rpc.iptables.setrules
  rpc.iptables.setrules6
  rpc.logfile.clear
  rpc.logfile.getcontent
  rpc.logfile.getlist
  rpc.network.enumeratebondslaves
  rpc.network.identify
  rpc.network.setbondiface
  rpc.network.setethernetiface
  rpc.network.setgeneralsettings
  rpc.network.setproxy
  rpc.network.setvlaniface
  rpc.network.setwirelessiface
  rpc.nfs.setsettings
  rpc.nfs.setshare
  rpc.notification.isenabled
  rpc.notification.set
  rpc.omvextras.docommand
  rpc.omvextras.setrepo
  rpc.perfstats.set
  rpc.plugin.install
  rpc.plugin.remove
  rpc.plugin.upload
  rpc.powermgmt.set
  rpc.powermgmt.setscheduledjob
  rpc.quota.set
  rpc.raidmgmt.add
  rpc.raidmgmt.create
  rpc.raidmgmt.delete
  rpc.raidmgmt.getdetail
  rpc.raidmgmt.getslaves
  rpc.raidmgmt.grow
  rpc.raidmgmt.remove
  rpc.rsync.set
  rpc.rsyncd.setmodule
  rpc.rsyncd.setsettings
  rpc.session.login
  rpc.sharemgmt.delete
  rpc.sharemgmt.getfileacl
  rpc.sharemgmt.getprivilegesbyrole
  rpc.sharemgmt.set
  rpc.sharemgmt.setfileacl
  rpc.sharemgmt.setprivileges
  rpc.sharemgmt.setprivilegesbyrole
  rpc.smart.setdevicesettings
  rpc.smart.setscheduledtest
  rpc.smart.setsettings
  rpc.smb.setsettings
  rpc.smb.setshare
  rpc.snmp.set
  rpc.ssh.set
  rpc.syslog.setsettings
  rpc.system.reboot
  rpc.system.setdate
  rpc.system.settimesettings
  rpc.system.shutdown
  rpc.system.standby
  rpc.tftp.set
  rpc.usermngmt.authuser
  rpc.usermngmt.deletegroup
  rpc.usermngmt.deleteuser
  rpc.usermngmt.getgroup
  rpc.usermngmt.getuser
  rpc.usermngmt.importgroup
  rpc.usermngmt.importuser
  rpc.usermngmt.setgroup
  rpc.usermngmt.setsettings
  rpc.usermngmt.setuser
  rpc.usermngmt.setuserbycontext
  rpc.webgui.setpassword
  rpc.webgui.setsettings
  rpc.zeroconf.set
Registered filesystem backends:
  btrfs
  exfat
  ext
  ext2
  ext3
  ext4
  fuseblk
  hfsplus
  iso9660
  jfs
  msdos
  none
  ntfs
  reiserfs
  udf
  ufs
  umsdos
  vfat
  xfs
  zfs
Registered RPC services:
  afp
  apt
  certificatemgmt
  config
  cron
  diskmgmt
  emailnotification
  exec
  filesystemmgmt
  folderbrowser
  fstab
  ftp
  iptables
  logfile
  network
  nfs
  notification
  omvextras
  perfstats
  plugin
  powermgmt
  quota
  raidmgmt
  rrd
  rsync
  rsyncd
  services
  sharemgmt
  smart
  smb
  snmp
  ssh
  syslog
  system
  tftp
  usermgmt
  webgui
  zeroconf
  zfs
Registered modules:
  acpid
  afp
  apt
  certificatemgmt
  collectd
  cpufrequtils
  cron
  cronapt
  email
  fstab
  ftp
  halt
  hdparm
  hostname
  hosts
  interfaces
  iptables
  mdadm
  monit
  networking
  nfs
  ntp
  omvextras
  pam
  php5fpm
  profile
  quota
  rrdcached
  rsync
  rsyncd
  samba
  smartmontools
  snmp
  ssh
  sysctl
  syslog
  tftp
  timezone
  webadmin
  webserver
  zeroconf
  zfs
  zfs-zed
SIGCHLD received ...
Child process forked (pid=9508)
Executing RPC (service=Config, method=isDirty, params=null, context={"username":"admin","role":1}) ...
RPC response (service=Config, method=isDirty): {"response":false,"error":null}
Child process forked (pid=9509)
Executing RPC (service=System, method=getInformation, params=[], context={"username":"admin","role":1}) ...
SIGCHLD received ...
Child (pid=9508) terminated with exit code 0
Child process forked (pid=9512)
Executing RPC (service=NFS, method=getShareList, params={"start":0,"limit":25,"sortfield":"client","sortdir":"ASC"}, context={"username":"admin","role":1}) ...
RPC response (service=NFS, method=getShareList): {"response":{"total":0,"data":[]},"error":null}
SIGCHLD received ...
Child (pid=9512) terminated with exit code 0
Child process forked (pid=9514)
Executing RPC (service=NFS, method=getSettings, params=null, context={"username":"admin","role":1}) ...
RPC response (service=NFS, method=getSettings): {"response":{"enable":true,"numproc":8,"shares":""},"error":null}
SIGCHLD received ...
Child (pid=9514) terminated with exit code 0
RPC response (service=System, method=getInformation): {"response":[{"name":"Hostname","value":"openmediavault-jessie.lan","type":"string","index":0},{"name":"Version","value":"3.0.59 (Erasmus)","type":"string","index":1},{"name":"Processor","value":"Intel(R) Core(TM) i5-4570 CPU @ 3.20GHz","type":"string","index":2},{"name":"Kernel","value":"Linux 4.8.0-0.bpo.2-amd64","type":"string","index":3},{"name":"System time","value":"Mon 13 Mar 2017 08:54:46 AEST","type":"string","index":4},{"name":"Uptime","value":"0 days 0 hours 39 minutes 27 seconds","type":"string","index":5},{"name":"Load average","value":"0.16, 0.03, 0.01","type":"string","index":6},{"name":"CPU usage","value":{"text":"9%","value":9.7826086956522},"type":"progress","index":7},{"name":"Memory usage","value":{"text":"31% of 2.04 GiB","value":31},"type":"progress","index":8}],"error":null}
SIGCHLD received ...
Child (pid=9509) terminated with exit code 0
Child process forked (pid=9519)
Executing RPC (service=Config, method=isDirty, params=null, context={"username":"admin","role":1}) ...
RPC response (service=Config, method=isDirty): {"response":false,"error":null}
SIGCHLD received ...
Child (pid=9519) terminated with exit code 0
Child process forked (pid=9520)
Executing RPC (service=ShareMgmt, method=enumerateSharedFolders, params={"start":0,"limit":25,"sortfield":null,"sortdir":null}, context={"username":"admin","role":1}) ...
RPC response (service=ShareMgmt, method=enumerateSharedFolders): {"response":[{"uuid":"c74ddf4a-abbd-491b-9404-a8eb4f283873","name":"Videos","comment":"","mntentref":"72e77fbb-add8-4cad-aee4-ba70ec2d2bb4","reldirpath":"Videos\/","privileges":"","_used":true,"device":"ILUX\/FS1","description":"Videos [on ILUX\/FS1, Videos\/]","mntent":{"devicefile":"ILUX\/FS1","fsname":"ILUX\/FS1","dir":"\/ILUX\/FS1","type":"zfs","posixacl":true}},{"uuid":"da7216f9-73ac-4752-a32c-a92d2fc8de79","name":"FS1","comment":"","mntentref":"af27e0ff-0d8d-41bd-bb56-3b15a008473b","reldirpath":"FS1\/","privileges":{"privilege":[{"type":"user","name":"steve","perms":7}]},"_used":true,"device":"ILUX","description":"FS1 [on ILUX, FS1\/]","mntent":{"devicefile":"ILUX","fsname":"ILUX","dir":"\/ILUX","type":"zfs","posixacl":true}},{"uuid":"029187fa-d803-4e3a-9f20-700b2a682db4","name":"share","comment":"","mntentref":"5b44754c-4f57-4b47-966c-0cc865bb0df2","reldirpath":"share\/","privileges":{"privilege":[{"type":"user","name":"steve","perms":7}]},"_used":true,"device":"test","description":"share [on test, share\/]","mntent":{"devicefile":"\/dev\/sdf1","fsname":"db56e8be-caaa-4261-a31b-106e9313246b","dir":"\/media\/db56e8be-caaa-4261-a31b-106e9313246b","type":"ext4","posixacl":true}}],"error":null}
SIGCHLD received ...
Child (pid=9520) terminated with exit code 0
Child process forked (pid=9527)
Executing RPC (service=ShareMgmt, method=enumerateSharedFolders, params={"start":0,"limit":25,"sortfield":null,"sortdir":null}, context={"username":"admin","role":1}) ...
RPC response (service=ShareMgmt, method=enumerateSharedFolders): {"response":[{"uuid":"c74ddf4a-abbd-491b-9404-a8eb4f283873","name":"Videos","comment":"","mntentref":"72e77fbb-add8-4cad-aee4-ba70ec2d2bb4","reldirpath":"Videos\/","privileges":"","_used":true,"device":"ILUX\/FS1","description":"Videos [on ILUX\/FS1, Videos\/]","mntent":{"devicefile":"ILUX\/FS1","fsname":"ILUX\/FS1","dir":"\/ILUX\/FS1","type":"zfs","posixacl":true}},{"uuid":"da7216f9-73ac-4752-a32c-a92d2fc8de79","name":"FS1","comment":"","mntentref":"af27e0ff-0d8d-41bd-bb56-3b15a008473b","reldirpath":"FS1\/","privileges":{"privilege":[{"type":"user","name":"steve","perms":7}]},"_used":true,"device":"ILUX","description":"FS1 [on ILUX, FS1\/]","mntent":{"devicefile":"ILUX","fsname":"ILUX","dir":"\/ILUX","type":"zfs","posixacl":true}},{"uuid":"029187fa-d803-4e3a-9f20-700b2a682db4","name":"share","comment":"","mntentref":"5b44754c-4f57-4b47-966c-0cc865bb0df2","reldirpath":"share\/","privileges":{"privilege":[{"type":"user","name":"steve","perms":7}]},"_used":true,"device":"test","description":"share [on test, share\/]","mntent":{"devicefile":"\/dev\/sdf1","fsname":"db56e8be-caaa-4261-a31b-106e9313246b","dir":"\/media\/db56e8be-caaa-4261-a31b-106e9313246b","type":"ext4","posixacl":true}}],"error":null}
SIGCHLD received ...
Child (pid=9527) terminated with exit code 0
Child process forked (pid=9534)
Executing RPC (service=NFS, method=setShare, params={"sharedfolderref":"029187fa-d803-4e3a-9f20-700b2a682db4","client":"","options":"ro","extraoptions":"subtree_check,secure","comment":"","mntentref":"fa4b1c66-ef79-11e5-87a0-0002b3a176b4","uuid":"fa4b1c66-ef79-11e5-87a0-0002b3a176b4"}, context={"username":"admin","role":1}) ...
RPC response (service=NFS, method=setShare): {"response":{"uuid":"ed4e86cd-fcae-44b6-a0ef-71ca4f4a6b1f","sharedfolderref":"029187fa-d803-4e3a-9f20-700b2a682db4","mntentref":"671ac818-4391-4342-a45c-069f32f4dbb0","client":"","options":"ro","comment":"","extraoptions":"subtree_check,secure"},"error":null}
SIGCHLD received ...
Child process forked (pid=9543)
Executing RPC (service=Config, method=isDirty, params=null, context={"username":"admin","role":1}) ...
RPC response (service=Config, method=isDirty): {"response":true,"error":null}
SIGCHLD received ...
Child (pid=9534) terminated with exit code 0
Child (pid=9543) terminated with exit code 0
Child process forked (pid=9544)
Executing RPC (service=NFS, method=getShareList, params={"start":0,"limit":25,"sortfield":"client","sortdir":"ASC"}, context={"username":"admin","role":1}) ...
RPC response (service=NFS, method=getShareList): {"response":{"total":1,"data":[{"uuid":"ed4e86cd-fcae-44b6-a0ef-71ca4f4a6b1f","sharedfolderref":"029187fa-d803-4e3a-9f20-700b2a682db4","mntentref":"671ac818-4391-4342-a45c-069f32f4dbb0","client":"","options":"ro","comment":"","extraoptions":"subtree_check,secure","sharedfoldername":"share"}]},"error":null}
SIGCHLD received ...
Child (pid=9544) terminated with exit code 0
Child process forked (pid=9545)
Executing RPC (service=Config, method=applyChangesBg, params={"modules":[],"force":false}, context={"username":"admin","role":1}) ...
RPC response (service=Config, method=applyChangesBg): {"response":"\/tmp\/bgstatuscpKAkm","error":null}
SIGCHLD received ...
Child (pid=9545) terminated with exit code 0
Child process forked (pid=9553)
Executing RPC (service=Exec, method=isRunning, params={"filename":"\/tmp\/bgstatuscpKAkm"}, context={"username":"admin","role":1}) ...
RPC response (service=Exec, method=isRunning): {"response":{"filename":"\/tmp\/bgstatuscpKAkm","running":true},"error":null}
SIGCHLD received ...
Child (pid=9553) terminated with exit code 0
Child process forked (pid=9663)
Executing RPC (service=Exec, method=isRunning, params={"filename":"\/tmp\/bgstatuscpKAkm"}, context={"username":"admin","role":1}) ...
RPC response (service=Exec, method=isRunning): {"response":{"filename":"\/tmp\/bgstatuscpKAkm","running":true},"error":null}
SIGCHLD received ...
Child (pid=9663) terminated with exit code 0
Child process forked (pid=9766)
Executing RPC (service=Exec, method=isRunning, params={"filename":"\/tmp\/bgstatuscpKAkm"}, context={"username":"admin","role":1}) ...
RPC response (service=Exec, method=isRunning): {"response":{"filename":"\/tmp\/bgstatuscpKAkm","running":true},"error":null}
SIGCHLD received ...
Child (pid=9766) terminated with exit code 0
Child process forked (pid=9771)
Executing RPC (service=Exec, method=isRunning, params={"filename":"\/tmp\/bgstatuscpKAkm"}, context={"username":"admin","role":1}) ...
RPC response (service=Exec, method=isRunning): {"response":{"filename":"\/tmp\/bgstatuscpKAkm","running":true},"error":null}
SIGCHLD received ...
Child (pid=9771) terminated with exit code 0
Child process forked (pid=9796)
Executing RPC (service=Exec, method=isRunning, params={"filename":"\/tmp\/bgstatuscpKAkm"}, context={"username":"admin","role":1}) ...
RPC response (service=Exec, method=isRunning): {"response":{"filename":"\/tmp\/bgstatuscpKAkm","running":true},"error":null}
SIGCHLD received ...
Child (pid=9796) terminated with exit code 0
Child process forked (pid=10191)
Executing RPC (service=Exec, method=isRunning, params={"filename":"\/tmp\/bgstatuscpKAkm"}, context={"username":"admin","role":1}) ...
RPC response (service=Exec, method=isRunning): {"response":{"filename":"\/tmp\/bgstatuscpKAkm","running":true},"error":null}
SIGCHLD received ...
Child (pid=10191) terminated with exit code 0
Child process forked (pid=10310)
Executing RPC (service=Exec, method=isRunning, params={"filename":"\/tmp\/bgstatuscpKAkm"}, context={"username":"admin","role":1}) ...
RPC response (service=Exec, method=isRunning): {"response":{"filename":"\/tmp\/bgstatuscpKAkm","running":true},"error":null}
SIGCHLD received ...
Child (pid=10310) terminated with exit code 0
Child process forked (pid=10423)
Executing RPC (service=Exec, method=isRunning, params={"filename":"\/tmp\/bgstatuscpKAkm"}, context={"username":"admin","role":1}) ...
RPC response (service=Exec, method=isRunning): {"response":{"filename":"\/tmp\/bgstatuscpKAkm","running":true},"error":null}
SIGCHLD received ...
Child (pid=10423) terminated with exit code 0
Child process forked (pid=10425)
Executing RPC (service=Exec, method=isRunning, params={"filename":"\/tmp\/bgstatuscpKAkm"}, context={"username":"admin","role":1}) ...
RPC response (service=Exec, method=isRunning): {"response":{"filename":"\/tmp\/bgstatuscpKAkm","running":true},"error":null}
SIGCHLD received ...
Child (pid=10425) terminated with exit code 0
Child process forked (pid=10456)
Executing RPC (service=Exec, method=isRunning, params={"filename":"\/tmp\/bgstatuscpKAkm"}, context={"username":"admin","role":1}) ...
RPC response (service=Exec, method=isRunning): {"response":{"filename":"\/tmp\/bgstatuscpKAkm","running":true},"error":null}
SIGCHLD received ...
Child (pid=10456) terminated with exit code 0
Child process forked (pid=10525)
Executing RPC (service=Exec, method=isRunning, params={"filename":"\/tmp\/bgstatuscpKAkm"}, context={"username":"admin","role":1}) ...
RPC response (service=Exec, method=isRunning): {"response":{"filename":"\/tmp\/bgstatuscpKAkm","running":true},"error":null}
SIGCHLD received ...
Child (pid=10525) terminated with exit code 0
Child process forked (pid=10534)
Executing RPC (service=Exec, method=isRunning, params={"filename":"\/tmp\/bgstatuscpKAkm"}, context={"username":"admin","role":1}) ...
RPC response (service=Exec, method=isRunning): {"response":{"filename":"\/tmp\/bgstatuscpKAkm","running":false},"error":null}
SIGCHLD received ...
Child (pid=10534) terminated with exit code 0
Child process forked (pid=10535)
Executing RPC (service=Config, method=isDirty, params=null, context={"username":"admin","role":1}) ...
RPC response (service=Config, method=isDirty): {"response":false,"error":null}
SIGCHLD received ...
Child (pid=10535) terminated with exit code 0
Child process forked (pid=10536)
Executing RPC (service=NFS, method=deleteShare, params={"uuid":"ed4e86cd-fcae-44b6-a0ef-71ca4f4a6b1f"}, context={"username":"admin","role":1}) ...
PHP Fatal error: Cannot use object of type OMV\Config\ConfigObject as array in /usr/share/openmediavault/engined/rpc/nfs.inc on line 239
SIGCHLD received ...
Child (pid=10536) terminated with exit code 255
Child process forked (pid=10537)
Executing RPC (service=Config, method=isDirty, params=null, context={"username":"admin","role":1}) ...
RPC response (service=Config, method=isDirty): {"response":true,"error":null}
SIGCHLD received ...
Child (pid=10537) terminated with exit code 0
Child process forked (pid=10538)
Executing RPC (service=NFS, method=getShareList, params={"start":0,"limit":25,"sortfield":"client","sortdir":"ASC"}, context={"username":"admin","role":1}) ...
RPC response (service=NFS, method=getShareList): {"response":{"total":0,"data":[]},"error":null}
SIGCHLD received ...
Child (pid=10538) terminated with exit code 0
Child process forked (pid=10539)
Executing RPC (service=Config, method=applyChangesBg, params={"modules":[],"force":false}, context={"username":"admin","role":1}) ...
RPC response (service=Config, method=applyChangesBg): {"response":"\/tmp\/bgstatushAtMBw","error":null}
SIGCHLD received ...
Child (pid=10539) terminated with exit code 0
Child process forked (pid=10547)
Executing RPC (service=Exec, method=isRunning, params={"filename":"\/tmp\/bgstatushAtMBw"}, context={"username":"admin","role":1}) ...
RPC response (service=Exec, method=isRunning): {"response":{"filename":"\/tmp\/bgstatushAtMBw","running":true},"error":null}
SIGCHLD received ...
Child (pid=10547) terminated with exit code 0
Child process forked (pid=10682)
Executing RPC (service=Exec, method=isRunning, params={"filename":"\/tmp\/bgstatushAtMBw"}, context={"username":"admin","role":1}) ...
RPC response (service=Exec, method=isRunning): {"response":{"filename":"\/tmp\/bgstatushAtMBw","running":true},"error":null}
SIGCHLD received ...
Child (pid=10682) terminated with exit code 0
Child process forked (pid=10828)
Executing RPC (service=Exec, method=isRunning, params={"filename":"\/tmp\/bgstatushAtMBw"}, context={"username":"admin","role":1}) ...
RPC response (service=Exec, method=isRunning): {"response":{"filename":"\/tmp\/bgstatushAtMBw","running":true},"error":null}
SIGCHLD received ...
Child (pid=10828) terminated with exit code 0
Child process forked (pid=10873)
Executing RPC (service=Exec, method=isRunning, params={"filename":"\/tmp\/bgstatushAtMBw"}, context={"username":"admin","role":1}) ...
RPC response (service=Exec, method=isRunning): {"response":{"filename":"\/tmp\/bgstatushAtMBw","running":false},"error":null}
SIGCHLD received ...
Child (pid=10873) terminated with exit code 0
Child process forked (pid=10874)
Executing RPC (service=Config, method=isDirty, params=null, context={"username":"admin","role":1}) ...
RPC response (service=Config, method=isDirty): {"response":false,"error":null}
SIGCHLD received ...
Child (pid=10874) terminated with exit code 0
Child process forked (pid=10875)
Executing RPC (service=Config, method=isDirty, params=null, context={"username":"admin","role":1}) ...
RPC response (service=Config, method=isDirty): {"response":false,"error":null}
SIGCHLD received ...
Child (pid=10875) terminated with exit code 0
Steps To ReproduceGo to NFS server section, add a share save and apply

Entries are present at /etc/exports and /etc/fstab, config.xml and the mount bind is poiting from the share to /export/

Proceed to delete the share, mount bind remains in /export, in fstab and config.xml. The nfs entry of config.xml is deleted.
TagsNo tags attached.
Product build
Attached Files

-Relationships
+Relationships

-Notes

~0004651

votdev (administrator)

Fixed in openmediavault 3.0.66, see https://github.com/openmediavault/openmediavault/commit/fef9cf9506c3b19f505660eb491696f7922c49df.
+Notes

-Issue History
Date Modified Username Field Change
2017-03-12 23:58 subzero79 New Issue
2017-03-12 23:58 subzero79 Status new => assigned
2017-03-12 23:58 subzero79 Assigned To => votdev
2017-03-13 01:06 votdev Status assigned => resolved
2017-03-13 01:06 votdev Resolution open => fixed
2017-03-13 01:06 votdev Fixed in Version => Erasmus (3.x)
2017-03-13 01:06 votdev Note Added: 0004651
+Issue History